import { PluginTarget } from 'babel__core';
import { IOptions, IObject, BabelCreator } from './types';
type PluginEnabled = boolean | IObject | void;
type PluginEnabledGetter = (options: IOptions) => PluginEnabled;
type PluginOptions = IObject | void;
type PluginOptionsGetter = (options: IOptions) => PluginOptions;
type MergeWith = (options: IOptions) => any;
export declare const createPluginOptionsGetter: (mergeWith: MergeWith, defaultOptions?: IObject) => PluginOptionsGetter;
export default function createPluginCreator(target: PluginTarget, enable?: boolean | PluginEnabledGetter, options?: IObject | PluginOptionsGetter): BabelCreator;
export {};
