"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("./utils");
function combineCreators(creators) {
    return function (options) { return creators
        .map(function (creator) { return creator(options); })
        .filter(utils_1.isPluginOrPresetDeclaration); };
}
exports.default = combineCreators;
